CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

ObjectSortBySelect 属性 (ActiveX)

2023-1-3 09:47| 发布者: admin| 查看: 414| 评论: 0|来自: AutoCAD

摘要: 按对象选择切换图形对象的排序。

按对象选择切换图形对象的排序。

支持的平台:仅窗口

签名

工 务 局:

object.ObjectSortBySelection
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:启用按对象选择排序。
  • False:禁用按对象选择排序。

言论

此属性的初始值为。False

AutoCAD 最初仅允许对打印和 PostScript 输出进行排序。设置其他排序选项可能会导致再生和重绘时间变慢。

注意:此属性的值存储在 SORTENTS 系统变量中。

例子

工 务 局:

Sub Example_ObjectSortBySelection()
    ' This example reads and modifies the preference value that controls
    ' the sorting of drawing objects by object selection.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadDatabasePreferences
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the user preferences object
    Set ACADPref = ThisDrawing.preferences
    
    ' Read and display the original value
    originalValue = ACADPref.ObjectSortBySelection
    MsgBox "The ObjectSortBySelection preference is set to: " & originalValue

    ' Modify the ObjectSortBySelection preference by toggling the value
    ACADPref.ObjectSortBySelection = Not (ACADPref.ObjectSortBySelection)
    newValue = ACADPref.ObjectSortBySelection
    MsgBox "The ObjectSortBySelection preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.ObjectSortBySelection = originalValue
    MsgBox "The ObjectSortBySelection preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_ObjectSortBySelection()
    ;; This example reads and modifies the preference value that controls
    ;; the sorting of drawing objects by object selection.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-ObjectSortBySelection preferences))
    (alert (strcat "The ObjectSortBySelection preference is set to: " (if (= originalValue :vlax-true) "True"  "False")))

    ;; Modify the ObjectSortBySelection preference by toggling the value
    (vla-put-ObjectSortBySelection preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-ObjectSortBySelection preferences))
    (alert (strcat "The ObjectSortBySelection preference has been set to: " (if (= newValue :vlax-true) "True"  "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-ObjectSortBySelection preferences originalValue)
    (alert (strcat "The ObjectSortBySelection preference was reset back to: " (if (= originalValue :vlax-true) "True"  "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 19:04

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部